---

include:
  - template: Security/Secret-Detection.gitlab-ci.yml

secret_detection:
  stage: security
  rules:
    - if: '$CI_COMMIT_BRANCH == $CI_DEFAULT_BRANCH'
      when: on_success
      allow_failure: true
    - if: '$CI_PIPELINE_SOURCE == "merge_request_event"'
      when: on_success
      allow_failure: true
  interruptible: true
